POST /volcv/v1
Method: POSTEndpoint: /volcv/v1
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Follow the endpoint-specific flow shown in this page.
Follow the endpoint-specific flow shown in this page.
https://www.volcengine.com/docs/6791/1279296For details, see the official integration documentation
Request Parameters
Query Parameters
text
Action
string
Required
Example:
CVSync2AsyncSubmitTask
Version
string
Required
Example:
2022-08-31Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
object
Example
{
"req_key"
:
"byteedit_v2.0"
,
// "binary_data_base64": [],
"image_urls"
:
[
"https://xxx"
]
,
"prompt"
:
// provider-specific example normalized for English documentation
,
"negative_prompt"
:
""
,
"seed"
:
-1
,
"scale"
:
0.5
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"logo_text_content"
:
"This is a visible watermark"
}
}Example Request
Shell
bash
curl --location --request POST '/volcv/v1?Action=CVSync2AsyncSubmitTask&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"req_key": "byteedit_v2.0",
// "binary_data_base64": [],
"image_urls": [
"https://xxx"
],
"prompt": "Example prompt from provider documentation.",
"negative_prompt": "",
"seed": -1,
"scale": 0.5,
"return_url": true,
"logo_info": {
"add_logo": false,
"position": 0,
"language": 0,
"logo_text_content": "This is a visible watermark"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 10000,
"data": {
"task_id": "7418048504813240370"
},
"message": "Success",
"request_id": "2024092411365866C579D2A96A35DA62A9",
"status": 10000,
"time_elapsed": "23.099216ms"
}